Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.apifacade
Interface IXbrlContext

All Known Implementing Classes:
  XbrlContext

    public interface IXbrlContext

Interfaz que debe cumplir una clase que pretende encapsular un objeto XBRL del tipo Context
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`java.lang.Object` | `getContextObject()` Devuelve la instancia de la API XBRL a la cual encapsula.
`java.lang.String` | `getDimension()` Devuelve el nombre de la dimensión a la cual pertenece este contexto.
`java.lang.String` | `getEntityIdentifierSchema()` Devuelve el esquema del identificador de la entidad del contexto.
`java.lang.String` | `getEntityIdentifierValue()` Devuelve el valor del identificador de la entidad del contexto.
`java.lang.String` | `getId()` Devuelve el identificador del contexto.
`java.lang.String` | `getMember()` Devuelve el nombre del miembro de la dimensión.
`java.util.Date` | `getPeriodEndDate()` Devuelve la fecha fin del periodo duration del contexto.
`java.util.Date` | `getPeriodInstant()` Obtiene la fecha del periodo instant del contexto.
`java.lang.Object` | `getPeriodObject()` Devuelve el objeto periodo correspondiente a la información contenida en esta instancia.
`java.util.Date` | `getPeriodStartDate()` Devuelve la fecha de inicio para el periodo del contexto.
`java.lang.String` | `getTypedMember()` Devuelve el valor del miembro de la dimensión implícita.
`boolean` | `isScenarioIsDimensional()` Indica si el contexto es dimensional.
`void` | `setContextObject(java.lang.Object contextObject)` Asigna un objeto contexto correspondiente a los valores representados por esta clase.
`void` | `setDimension(java.lang.String dimension)` Asigna el nombre de la dimensión, si el contexto es dimensional.
`void` | `setEntityIdentifierSchema(java.lang.String entityIdentifierSchema)` Asigna un el esquema para el identificador de la entidad del contexto.
`void` | `setEntityIdentifierValue(java.lang.String entityIdentifierValue)` Asigna un valor para el identificador de la entidad del contexto.
`void` | `setId(java.lang.String id)` Asigna un identificador.
`void` | `setMember(java.lang.String member)` Asigna el nombre del miembro de la dimensión
`void` | `setPeriodEndDate(java.util.Date periodEndDate)` Asigna la fecha fin del periodo duration del context.
`void` | `setPeriodInstant(java.util.Date periodInstant)` Asigna la fecha para el periodo insntant del contexto.
`void` | `setPeriodObject(java.lang.Object periodObject)` Asigna un objeto periodo.
`void` | `setPeriodStartDate(java.util.Date periodStartDate)` Asigna la fecha inicio para el periodo duration del contexto.
`void` | `setScenarioIsDimensional(boolean scenarioIsDimensional)` Asigna si el contexto es dimensional.
`void` | `setTypedMember(java.lang.String typedMemberValue)` Asigna el valor del miembro de la dimensión implícita

Method Detail

### getId

    java.lang.String getId()

  Devuelve el identificador del contexto.

  Returns:
    identificador del contexto

### setId

    void setId(java.lang.String id)

  Asigna un identificador.

  Parameters:
    `id` - identificador del contexto

### getEntityIdentifierSchema

    java.lang.String getEntityIdentifierSchema()

  Devuelve el esquema del identificador de la entidad del contexto.

  Returns:
    esquemda del identificador

### setEntityIdentifierSchema

    void setEntityIdentifierSchema(java.lang.String entityIdentifierSchema)

  Asigna un el esquema para el identificador de la entidad del contexto.

  Parameters:
    `entityIdentifierSchema` - esquema del identificador

### getEntityIdentifierValue

    java.lang.String getEntityIdentifierValue()

  Devuelve el valor del identificador de la entidad del contexto.

  Returns:
    valor del identificador

### setEntityIdentifierValue

    void setEntityIdentifierValue(java.lang.String entityIdentifierValue)

  Asigna un valor para el identificador de la entidad del contexto.

  Parameters:
    `entityIdentifierValue` - valor del identificador

### getPeriodStartDate

    java.util.Date getPeriodStartDate()

  Devuelve la fecha de inicio para el periodo del contexto.

  Returns:
    fecha inicio

### setPeriodStartDate

    void setPeriodStartDate(java.util.Date periodStartDate)

  Asigna la fecha inicio para el periodo duration del contexto.

  Parameters:
    `periodStartDate` - fecha inicio

### getPeriodEndDate

    java.util.Date getPeriodEndDate()

  Devuelve la fecha fin del periodo duration del contexto.

  Returns:
    fecha fin

### setPeriodEndDate

    void setPeriodEndDate(java.util.Date periodEndDate)

  Asigna la fecha fin del periodo duration del context.

  Parameters:
    `periodEndDate` - fecha fin

### getPeriodInstant

    java.util.Date getPeriodInstant()

  Obtiene la fecha del periodo instant del contexto.

  Returns:
    fecha instant

### setPeriodInstant

    void setPeriodInstant(java.util.Date periodInstant)

  Asigna la fecha para el periodo insntant del contexto.

  Parameters:
    `periodInstant` - fecha instant

### isScenarioIsDimensional

    boolean isScenarioIsDimensional()

  Indica si el contexto es dimensional.

  Returns:
    true si el contexto es dimensional, false en caso contrario.

### setScenarioIsDimensional

    void setScenarioIsDimensional(boolean scenarioIsDimensional)

  Asigna si el contexto es dimensional.

  Parameters:
    `scenarioIsDimensional` - true para indicar que el contexto es dimensional, false en caso contrario.

### getContextObject

    java.lang.Object getContextObject()

  Devuelve la instancia de la API XBRL a la cual encapsula. El valor puede ser nulo si el contexto al cual representa esta clase no ha sido creado en la instancia XBRL, por tanto, este valor solo se usa en el ámbito de la facade.

  Returns:
    referencia al contexto correspondiente a la API XBRL usada.

### setContextObject

    void setContextObject(java.lang.Object contextObject)

  Asigna un objeto contexto correspondiente a los valores representados por esta clase.

  Parameters:
    `contextObject` - objeto contexto

### getPeriodObject

    java.lang.Object getPeriodObject()

  Devuelve el objeto periodo correspondiente a la información contenida en esta instancia.

  Returns:
    objeto periodo

### setPeriodObject

    void setPeriodObject(java.lang.Object periodObject)

  Asigna un objeto periodo.

  Parameters:
    `periodObject` - referencia al objeto periodo

### setDimension

    void setDimension(java.lang.String dimension)

  Asigna el nombre de la dimensión, si el contexto es dimensional.

  Parameters:
    `dimension` - nombre de la dimensión

### getDimension

    java.lang.String getDimension()

  Devuelve el nombre de la dimensión a la cual pertenece este contexto.

  Returns:
    nombre de la dimensión

### setMember

    void setMember(java.lang.String member)

  Asigna el nombre del miembro de la dimensión

  Parameters:
    `member` - nombre del miembro de la dimensión

### getMember

    java.lang.String getMember()

  Devuelve el nombre del miembro de la dimensión.

  Returns:
    nombre del miembro de la dimensión.

### setTypedMember

    void setTypedMember(java.lang.String typedMemberValue)

  Asigna el valor del miembro de la dimensión implícita

  Parameters:
    `typedMemberValue` - valor del miembro de la dimensión

### getTypedMember

    java.lang.String getTypedMember()

  Devuelve el valor del miembro de la dimensión implícita.

  Returns:
    valor del miembro de la dimensión.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD